<!--
  -    Copyright 2014-2023 IHE International
  -
  -    Licensed under the Apache License, Version 2.0 (the "License");
  -    you may not use this file except in compliance with the License.
  -    You may obtain a copy of the License at
  -
  -        http://www.apache.org/licenses/LICENSE-2.0
  -
  -    Unless required by applicable law or agreed to in writing, software
  -    distributed under the License is distributed on an "AS IS" BASIS,
  -    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -    See the License for the specific language governing permissions and
  -    limitations under the License.
  -->

<ui:composition xmlns:f="http://java.sun.com/jsf/core" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/questionnaire/editorTemplate.xhtml">
            <ui:param name="pageTitle" value="#{messages['net.ihe.gazelle.questionnaire.ATNAQuestionnaireTemplateEditor']})"/>
            <ui:param name="managedBean" value="#{atnaQuestionnaireTemplateEditor}"/>
            <ui:param name="instructionFile" value="/questionnaire/instructionEditor.xhtml"/>
            <ui:define name="systemSelection">
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.questionnaire.QuestionnaireTemplate']}</ui:define>
                    <h:form id="selectSisForm">
                        <div class="row">
                            <div class="col-md-6">
                                <s:div rendered="#{atnaQuestionnaireTemplateEditor.questionnaire == null}"
                                       styleClass="gzl-alert gzl-alert-red">
                                    <h:outputText value="#{messages['net.ihe.gazelle.questionnaire.NoTEMPLATEFound']}"/>
                                </s:div>
                                <p>
                                    <h:outputText value="#{messages['net.ihe.gazelle.questionnaire.CheckBelowTheSectionsToBeDisplayedInTheQuestionn']}"/>
                                </p>
                            </div>
                            <div class="col-md-6 text-right">
                                <h:outputText value="#{messages['net.ihe.gazelle.questionnaire.ApplytoSession']} : "/>
                                <h:selectOneMenu id="systemInput" value="#{instructionManager.selectedTestingSessionValue}"
                                         required="true" styleClass="gzl-form-control">
                                    <f:selectItems value="#{instructionManager.selectedTestingSession()}"/>
                                </h:selectOneMenu>
                                <h:commandButton action="#{instructionManager.updateInstructionTestingSession(instructionManager.selectedTestingSessionValue)}"
                                                 styleClass="gzl-btn-blue"
                                                 value="#{messages['net.ihe.gazelle.questionnaire.Apply']}"/>
                            </div>
                        </div>
                        <div class="form-horizontal">
                            <s:decorate template="/layout/form/_form_checkbox_horizontal_1-11.xhtml">
                                <ui:param name="id" value="boolInbounds"/>
                                <h:selectBooleanCheckbox
                                        value="#{instructionManager.displayInboundNetworkCommunications}"
                                        id="boolInbounds">
                                    <a4j:ajax event="change" for="boolInbounds" render="globalDiv"/>
                                </h:selectBooleanCheckbox>
                                <h:outputText value="#{messages['net.ihe.gazelle.questionnaire.InboundNetworkCommunications']}"/>
                            </s:decorate>

                            <s:decorate template="/layout/form/_form_checkbox_horizontal_1-11.xhtml">
                                <ui:param name="id" value="boolOutbounds"/>
                                <h:selectBooleanCheckbox
                                        value="#{instructionManager.displayOutboundNetworkCommunications}"
                                        id="boolOutbounds">
                                    <a4j:ajax event="change" for="boolOutbounds" render="globalDiv"/>
                                </h:selectBooleanCheckbox>
                                <h:outputText value="#{messages['net.ihe.gazelle.questionnaire.OutboundNetworkCommunications']}"/>
                            </s:decorate>

                            <s:decorate template="/layout/form/_form_checkbox_horizontal_1-11.xhtml">
                                <ui:param name="id" value="boolAuthentication"/>
                                <h:selectBooleanCheckbox value="#{instructionManager.displayAuthenticationProcess}"
                                                         id="boolAuthentication">
                                    <a4j:ajax event="change" for="boolAuthentication" render="globalDiv"/>
                                </h:selectBooleanCheckbox>
                                <h:outputText value="#{messages['net.ihe.gazelle.questionnaire.AuthenticationProcessForLocalUsers']}"/>
                            </s:decorate>

                            <s:decorate template="/layout/form/_form_checkbox_horizontal_1-11.xhtml">
                                <ui:param name="id" value="boolAudit"/>
                                <h:selectBooleanCheckbox
                                        value="#{instructionManager.displayOutboundNetworkCommunications}"
                                        id="boolAudit">
                                    <a4j:ajax event="change" for="boolAudit" render="globalDiv"/>
                                </h:selectBooleanCheckbox>
                                <h:outputText value="#{messages['net.ihe.gazelle.questionnaire.AuditMessages']}"/>
                            </s:decorate>

                            <s:decorate template="/layout/form/_form_checkbox_horizontal_1-11.xhtml">
                                <ui:param name="id" value="boolPhi"/>
                                <h:selectBooleanCheckbox value="#{instructionManager.displayAccessPhi}" id="boolPhi">
                                    <a4j:ajax event="change" for="boolPhi" render="globalDiv"/>
                                </h:selectBooleanCheckbox>
                                <h:outputText value="#{messages['net.ihe.gazelle.questionnaire.NonNetworkMeansForAccessingPHI']}"/>
                            </s:decorate>

                            <s:decorate template="/layout/form/_form_checkbox_horizontal_1-11.xhtml">
                                <ui:param name="id" value="boolTests"/>
                                <h:selectBooleanCheckbox value="#{instructionManager.displayTlsTests}" id="boolTests">
                                    <a4j:ajax event="change" for="boolTests" render="globalDiv"/>
                                </h:selectBooleanCheckbox>
                                <h:outputText value="#{messages['net.ihe.gazelle.questionnaire.TLSTests']}"/>
                            </s:decorate>
                        </div>
                    </h:form>
                </ui:decorate>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>
